## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreNavigatorGroup

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.emf.ecoretools.diagram.navigator.EcoreAbstractNavigatorItem
              org.eclipse.emf.ecoretools.diagram.navigator.EcoreNavigatorGroup

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class EcoreNavigatorGroup

extends EcoreAbstractNavigatorItem

Method Summary
`void` `addChild(java.lang.Object child)`
`void` `addChildren(java.util.Collection children)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object[]` `getChildren()`
`java.lang.String` `getGroupName()`
`java.lang.String` `getIcon()`
`int` `hashCode()`
`boolean` `isEmpty()`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.navigator.EcoreAbstractNavigatorItem
`getParent`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGroupName

    public java.lang.String getGroupName()

### getIcon

    public java.lang.String getIcon()

### getChildren

    public java.lang.Object[] getChildren()

### addChildren

    public void addChildren(java.util.Collection children)

### addChild

    public void addChild(java.lang.Object child)

### isEmpty

    public boolean isEmpty()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2007 Anyware Technologies. All Rights Reserved.